Get a subscription
curl --request GET \
--url https://api.example.com/exo-api/webhooks/{id}import requests
url = "https://api.example.com/exo-api/webhooks/{id}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/exo-api/webhooks/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Webhooks
Get a subscription
Returns a single webhook subscription.
GET
/
exo-api
/
webhooks
/
{id}
Get a subscription
Returns details for a specific webhook subscription owned by the authenticated user.
Path parameters
integer
required
The webhook subscription ID.
Request
curl -H "Authorization: Bearer YOUR_TOKEN" \
https://your-app.com/exo-api/webhooks/1
Response
Example response:{
"id": 1,
"user_id": 1,
"url": "https://example.com/webhook-receiver",
"resource": "order",
"events": ["on_create", "on_update"],
"is_active": true,
"masked_secret": "sec_****a1b2",
"created_at": "2026-03-28T14:30:00.000000Z",
"updated_at": "2026-03-28T14:30:00.000000Z"
}
Errors
| Status | Description |
|---|---|
404 | Subscription not found or does not belong to the authenticated user |
⌘I